%global git_date  20241218
%global git_hash  421a250

%global git_ver  libxfce4windowing

%global rel  1
%global src_name  %{name}-%{git_date}-%{git_hash}.tar.xz

Name:     libxfce4windowing
Version:  %{git_ver}^%{git_date}g%{git_hash}
Release:  %{rel}%{?dist}
Summary:  Windowing concept abstraction library for X11 and Wayland
License:  GPLv2-or-later
URL:      https://gitlab.xfce.org/xfce/libxfce4windowing.git
Source:   %{url}/%{src_name}

BuildRequires:  libtool
BuildRequires:  cmake make meson gcc
BuildRequires:  xfce4-dev-tools
BuildRequires:  gtk-doc
BuildRequires:  pkgconfig(gdk-3.0)
BuildRequires:  pkgconfig(libdisplay-info)
BuildRequires:  pkgconfig(libwnck-3.0)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(gobject-introspection-1.0)

%description
Libxfce4windowing is an abstraction library that attempts to present
windowing concepts (screens, toplevel windows, workspaces, etc.) in a
windowing-system-independent manner.

%package devel
Summary:  dev files for %{name}
Requires:  %{name} = %{version}-%{release}
%description devel
%{summary}


%prep
%autosetup -p1 -n %{name}

%build
##./autogen.sh
%meson -Dx11=enabled -Dwayland=enabled
#%%configure --enable-maintainer-mode --enable-gtk-doc
%meson_build


%install
%meson_install


%find_lang %{name}

%ldconfig_scriptlets


%files -f %{name}.lang
%doc README.md
%license COPYING
%{_libdir}/lib*.so.*
%{_libdir}/girepository-1.0/*
%{_datadir}/gir-1.0/*

%files devel
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/xfce4
#%%doc %{_datadir}/gtk-doc/

%changelog
%autochangelog
